Skip to content
Start here

Delete app

flagship.apps.delete(strapp_id, AppDeleteParams**kwargs) -> AppDeleteResponse
DELETE/accounts/{account_id}/flagship/apps/{app_id}

Deletes an app and all its flags and changelog history. Returns 409 if any Worker still references this app via a Flagship binding.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID.

app_id: str

App identifier.

ReturnsExpand Collapse
class AppDeleteResponse:
id: str

Delete app

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
app = client.flagship.apps.delete(
    app_id="app_id",
    account_id="account_id",
)
print(app.id)
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id"
  },
  "success": true
}